//
//  ViewController.m
//  连麦直播
//
//  Created by jianqiangzhang on 16/9/29.
//  Copyright © 2016年 jianqiangzhang. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
@property (nonatomic, strong) UIButton *button;
@property (nonatomic, strong) UITextField *textField;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.button = [UIButton buttonWithType:UIButtonTypeCustom];
    self.button.backgroundColor = [UIColor greenColor];
    [self.button setTitle:@"点击拷贝下载地址" forState:UIControlStateNormal];
    self.button.frame = CGRectMake(20, 200, CGRectGetWidth(self.view.frame)- 40, 40);
    [self.view addSubview:self.button];
    [self.button addTarget:self action:@selector(buttonEvent) forControlEvents:UIControlEventTouchUpInside];
    
    self.textField = [UITextField new];
    self.textField.frame = CGRectMake(0, CGRectGetMaxY(self.button.frame)+ 20, CGRectGetWidth(self.view.frame), 50);
    self.textField.font = [UIFont systemFontOfSize:13];
    self.textField.text = @"https://github.com/AnyRTC/RTMPCHybridEngine-IOS";
    [self.view addSubview:self.textField];
}
- (void)buttonEvent {
    UIPasteboard *pboard = [UIPasteboard generalPasteboard];
    pboard.string =  [NSString stringWithFormat:@"https://github.com/AnyRTC/RTMPCHybridEngine-IOS"];
    UIAlertView *alertView = [[UIAlertView alloc] initWithTitle:@"" message:@"拷贝成功,可以把地址复制到浏览器进行下载" delegate:nil cancelButtonTitle:@"确定" otherButtonTitles:nil, nil];
    [alertView show];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
